---
title: "Customer Limits"
canonical_url: "https://docs.stablegate.com/docs/apiref/limits/customer-limits"
---
# Customer Limits

::api-operation{color="success" endpoint="/v1/customers/{customer_uuid}/limits/" method="GET"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Path parameters

::field-group
:field{name="customer_uuid" type="string<uuid>" :required="true"}
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="kyc_level_key" type="string | null"}:field{name="risk_level_key" type="string | null"}:field{name="limit_amount" type="string" :required="true"}::field{name="limit_rule" type="object" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string" :required="true"}::field{name="scope" type="string" :required="true"}
One of: `operation`, `period`, `operation_min_amount`
::

::field{name="period" type="string | null"}
One of: `month`, `quarter`, `year`, `day`, `lifetime`
::

:field{name="rail_types" type="string[] | null"}:field{name="rail_codes" type="string[] | null"}:field{name="operation_types" type="string[] | null"}:field{name="asset_codes" type="string[] | null"}
::
::
::

:field{name="is_overridden" type="boolean"}:field{name="is_custom_limit" type="boolean"}:field{name="used_amount" type="string | null"}:field{name="available_amount" type="string | null"}
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{method="GET" path="/v1/customers/CUSTOMER_UUID/limits/"}
```bash
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/limits/ \
  --header 'X-Api-Key: YOUR_API_KEY'
```
::

::code-group
```json [200]
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "kyc_level_key": "string",
    "risk_level_key": "string",
    "limit_amount": "string",
    "limit_rule": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "scope": "operation",
      "period": "month",
      "rail_types": [
        "bank"
      ],
      "rail_codes": [
        "bitcoin"
      ],
      "operation_types": [
        "funding"
      ],
      "asset_codes": [
        "EUR"
      ]
    },
    "is_overridden": true,
    "is_custom_limit": true,
    "used_amount": "string",
    "available_amount": "string"
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
